Bug 828624 - Webtrans title bar does not tolerate narrow screens, especially with notification messages
Webtrans title bar does not tolerate narrow screens, especially with notifica...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.6-SNAPSHOT
Unspecified Unspecified
unspecified Severity high
: ---
: 1.7
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 23:46 EDT by David Mason
Modified: 2012-09-12 20:04 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.7-SNAPSHOT (20120626-0025)
Doc Type: Bug Fix
Doc Text:
Cause: Limitation of width for title bar in Zanata workspace. Consequence: Notification message get hidden with limited width in browser. Fix: Notification has been moved to right corner with popup window to display messages.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-11 01:11:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Mason 2012-06-04 23:46:08 EDT
Description of problem:
For window widths less than 1200, most of the contents of the title bar of the web translation editor can disappear when a notification message or link wraps to more than 2 lines.

Version-Release number of selected component (if applicable):
1.6

How reproducible:
Always

Steps to Reproduce:
1.Open translation editor for any project and locale
2.Reduce browser window width until there is not sufficient space for all elements in the title bar
  
Actual results:
Most of contents are no longer visible

Expected results:
Non-wrapped elements are still completely visible. Wrapped elements are at least partially visible.

Additional info:
Comment 2 Ding-Yi Chen 2012-06-26 02:19:42 EDT
As the notifications in 1.7 is moved to the notify element, which fix the problem.

VERIFIED with Zanata version 1.7-SNAPSHOT (20120626-0025)

Note You need to log in before you can comment on or make changes to this bug.